%global __requires_exclude pear\\(*

Name:           galette
Version:        0.8.3.4
Release:        %mkrel 1
Summary:        Online tool to manage membership and fees
Group:          Networking/Other
License:        GPLv3+
URL:            http://galette.tuxfamily.org
Source0:        http://download.tuxfamily.org/%{name}/%{name}-%{version}.tar.bz2
# The next requirement is needed but it doesn't build on mga
# the workaround is to use pear install phpDocumentor
#BuildRequires:  php-pear-phpDocumentor
Requires:       php >= 5.3.0
Requires:       php-ZendFramework2-Db
Requires:       php-ZendFramework2-Stdlib
Requires:       php-phpmailer
Requires:       php-smarty
Requires:       php-gd
Requires:       php-mbstring
Requires:       php-tidy
Requires:       php-analog
Requires:       php-tcpdf
Requires:       php-mcrypt
Requires:       apache-mod_php
Requires(postun): rpm-helper
Requires(post):   rpm-helper
BuildArch:      noarch

%description
Galette is an online tool to manage membership and fees dedicated to non
profit organizations. It mainly allows executive members to know which
fees will soon reach their due dates. Beside that, each member can have
their own credential to review (or change) their personal information.
On the technical side, all you need is a web server supporting
PHP and a database (either MySQL or PostgreSQL).

%prep
%setup -q -n %{name}-%{version}/%{name}

%build

%install
install -d -m 755 %{buildroot}%{_datadir}/%{name}
cp -p *.php %{buildroot}%{_datadir}/%{name}
cp -pr docs %{buildroot}%{_datadir}/%{name}
cp -pr includes %{buildroot}%{_datadir}/%{name}
cp -pr install %{buildroot}%{_datadir}/%{name}
cp -pr lang %{buildroot}%{_datadir}/%{name}
cp -pr lib %{buildroot}%{_datadir}/%{name}
cp -pr plugins %{buildroot}%{_datadir}/%{name}
cp -pr public %{buildroot}%{_datadir}/%{name}
cp -pr templates %{buildroot}%{_datadir}/%{name}

install -d -m 755 %{buildroot}%{_localstatedir}/lib
cp -pr data %{buildroot}%{_localstatedir}/lib/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}
cp -pr config %{buildroot}%{_sysconfdir}/%{name}

pushd %{buildroot}%{_datadir}/%{name}
ln -s ../../..%{_sysconfdir}/%{name} config
ln -s ../../..%{_localstatedir}/lib/%{name} data

popd

# prefer system libraries when available
rm -rf %{buildroot}%{_datadir}/%{name}/includes/Smarty-*
rm -rf %{buildroot}%{_datadir}/%{name}/includes/phpMailer-*
rm -rf %{buildroot}%{_datadir}/%{name}/includes/Zend-*
rm -rf %{buildroot}%{_datadir}/%{name}/includes/Analog-*
rm -rf %{buildroot}%{_datadir}/%{name}/includes/tcpdf-*

# .htaccess files are included in galette-httpd.conf
rm -f %{buildroot}%{_localstatedir}/%{name}/*/.htaccess

# cleanup
rm -f %{buildroot}%{_localstatedir}/%{name}/*/readme.txt
rm -f %{buildroot}%{_sysconfdir}/%{name}/config.inc.php.dist

cat >  %{buildroot}%{_sysconfdir}/%{name}/local_paths.inc.php <<EOF
<?php
define('GALETTE_ZEND_PATH', '/usr/share/php/');
define('GALETTE_PHP_MAILER_PATH', '/usr/share/php/PHPMailer/');
define('GALETTE_SMARTY_PATH', '/usr/share/php/Smarty/');
define('GALETTE_ANALOG_PATH', '/usr/share/php/analog/');
define('GALETTE_TCPDF_PATH', '/usr/share/php/tcpdf/');
EOF

mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf/sites.d
cat >  %{buildroot}%{_sysconfdir}/httpd/conf/sites.d/%{name}.conf <<EOF
# %{name} configuration
Alias /%name %{_datadir}/%{name}

<Directory %{_datadir}/%{name}>
    Require all granted
    Options FollowSymLinks
</Directory>

<Directory %{_datadir}/%{name}/photos>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/exports>
    Require all denied
</Directory>

<Directory %{_datadir}/%{name}/imports>
    Require all denied
</Directory>
EOF


%files
%{_datadir}/%{name}
%attr(-,apache,apache) %{_localstatedir}/lib/%{name}
%dir %attr(-,apache,apache) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/exports.xml
%config(noreplace) %{_sysconfdir}/%{name}/galette_tcpdf_config.php
%config(noreplace) %{_sysconfdir}/%{name}/paths.inc.php
%config(noreplace) %{_sysconfdir}/%{name}/versions.inc.php
%config(noreplace) %{_sysconfdir}/%{name}/local_paths.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf/sites.d/%{name}.conf


%changelog
* Tue May 23 2017 guillomovitch <guillomovitch> 0.8.3.4-1.mga6
+ Revision: 1104308
- new version 0.8.3.4

* Mon Dec 26 2016 guillomovitch <guillomovitch> 0.8.3.3-1.mga6
+ Revision: 1077985
- new version 8.3.3

* Thu Oct 20 2016 guillomovitch <guillomovitch> 0.8.3-1.mga6
+ Revision: 1062784
- new version 0.8.3

* Wed Jun 15 2016 guillomovitch <guillomovitch> 0.8.2.3-1.mga6
+ Revision: 1021507
- new version 0.8.2.3

* Sat Feb 20 2016 umeabot <umeabot> 0.8.2.2-2.mga6
+ Revision: 971801
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 guillomovitch <guillomovitch> 0.8.2.2-1.mga6
+ Revision: 892765
- new version 0.8.2.2

* Tue Sep 08 2015 guillomovitch <guillomovitch> 0.8.2.1-1.mga6
+ Revision: 874230
- new version 0.8.2.1

* Mon Jul 06 2015 guillomovitch <guillomovitch> 0.8.2-1.mga6
+ Revision: 852205
- new version 0.8.2

* Mon Jun 22 2015 guillomovitch <guillomovitch> 0.8.1-2.mga6
+ Revision: 839495
- fix compatibility with PHP 5.5.25

  + shlomif <shlomif>
    - Grammar fixes + remove trailing space.

* Wed Oct 29 2014 guillomovitch <guillomovitch> 0.8.1-1.mga5
+ Revision: 794500
- new version 0.8.1

* Wed Oct 15 2014 umeabot <umeabot> 0.8-5.mga5
+ Revision: 750942
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 guillomovitch <guillomovitch> 0.8-4.mga5
+ Revision: 737405
- use system Zend framework

* Fri Sep 26 2014 tv <tv> 0.8-3.mga5
+ Revision: 725054
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8-2.mga5
+ Revision: 679398
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

  + guillomovitch <guillomovitch>
    - new version 0.8

* Sun Dec 22 2013 guillomovitch <guillomovitch> 0.7.8-1.mga4
+ Revision: 559865
- new version 0.7.8

* Sun Dec 15 2013 guillomovitch <guillomovitch> 0.7.7-1.mga4
+ Revision: 557102
- new version 0.7.7

* Wed Oct 30 2013 guillomovitch <guillomovitch> 0.7.6.1-1.mga4
+ Revision: 547919
- new version 0.7.6.1

* Wed Oct 23 2013 guillomovitch <guillomovitch> 0.7.6-2.mga4
+ Revision: 546678
- new version

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Oct 14 2013 guillomovitch <guillomovitch> 0.7.5.5-1.mga4
+ Revision: 497276
- new version 0.7.5.5

* Mon Oct 07 2013 guillomovitch <guillomovitch> 0.7.5.4-1.mga4
+ Revision: 492394
- new version 0.7.5.4

* Thu Oct 03 2013 guillomovitch <guillomovitch> 0.7.5.3-1.mga4
+ Revision: 490884
- new version 0.7.5.3

* Thu Sep 12 2013 guillomovitch <guillomovitch> 0.7.5.2-1.mga4
+ Revision: 478168
- new version 0.7.5.2.

* Sun Sep 01 2013 guillomovitch <guillomovitch> 0.7.5.1-1.mga4
+ Revision: 474113
- new version

* Mon Aug 19 2013 guillomovitch <guillomovitch> 0.7.5-2.mga4
+ Revision: 467889
- add upstream patch to fix database upgrade

* Mon Aug 19 2013 guillomovitch <guillomovitch> 0.7.5-1.mga4
+ Revision: 467867
- new version
- use system php-tcpdf

* Mon Jul 08 2013 guillomovitch <guillomovitch> 0.7.4.5-1.mga4
+ Revision: 451308
- new version

* Fri Jun 28 2013 guillomovitch <guillomovitch> 0.7.4.3-1.mga4
+ Revision: 448038
- new version

* Tue Jun 18 2013 guillomovitch <guillomovitch> 0.7.4.2-3.mga4
+ Revision: 444639
- no not force gettext usage, it doesn't work with plugins
- do not ship analog, but use system one

* Sat May 25 2013 guillomovitch <guillomovitch> 0.7.4.2-2.mga4
+ Revision: 427554
- add missing mbstring dependency

* Thu May 23 2013 guillomovitch <guillomovitch> 0.7.4.2-1.mga4
+ Revision: 424816
- new version

* Mon Feb 18 2013 guillomovitch <guillomovitch> 0.7.3.2-3.mga3
+ Revision: 399215
- fix phpmailer path with latest release

* Mon Feb 11 2013 guillomovitch <guillomovitch> 0.7.3.2-2.mga3
+ Revision: 397904
- achieve FHS setup, with variables files under /var/lib/galette
- apache user needs write access to variables files only
- fix missing dependencies on mod_php and smarty
- fix system libraries include pathes

* Sun Feb 03 2013 neoclust <neoclust> 0.7.3.2-1.mga3
+ Revision: 394197
- imported package galette

